package com.fs.hisStore.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 随访模板对象 fs_follow_temp
 *
 * @author fs
 * @date 2023-07-14
 */
@TableName("fs_follow_temp")
public class FsFollowTempScrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模板id */
    @Excel(name = "模板id")
    private Long tempId;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String name;

    /** 副标题 */
    @Excel(name = "副标题")
    private String secondName;

    /** 模板内容 */
    @Excel(name = "模板内容")
    private String formJson;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    public void setTempId(Long tempId)
    {
        this.tempId = tempId;
    }

    public Long getTempId()
    {
        return tempId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setSecondName(String secondName)
    {
        this.secondName = secondName;
    }

    public String getSecondName()
    {
        return secondName;
    }
    public void setFormJson(String formJson)
    {
        this.formJson = formJson;
    }

    public String getFormJson()
    {
        return formJson;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("tempId", getTempId())
            .append("name", getName())
            .append("secondName", getSecondName())
            .append("formJson", getFormJson())
            .append("sort", getSort())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
